# uPySensors
MicroPython sensor/actuator libraries


# Added Drivers

|   |   |   |
|:--|:--|:--|
|`hcsr04.py`|Ultrasonic Sensor - HC-SR04 | [about](https://cdn.sparkfun.com/datasheets/Sensors/Proximity/HCSR04.pdf) - [buy](https://www.banggood.com/de/Wholesale-Ultrasonic-Module-HC-SR04-Distance-Measuring-Ranging-Transducer-Sensor-p-40313.html?p=QW0903761303201409LG) - [blog article](https://lemariva.com/blog/2018/06/tutorial-getting-started-with-micropython-sensors)|
|`imu.py & vector3d.py`| MPU6055 - Triple Axis Accelerometer and Gyro |[about](https://www.invensense.com/products/motion-tracking/6-axis/mpu-6500/) - [buy](https://www.banggood.com/de/5pcs-GY-6500-MPU6500-6DOF-6-Axis-Attitude-Acceleration-Gyroscope-Sensor-Module-SPI-Interface-p-1291399.html?p=QW0903761303201409LG) - [blog article](https://lemariva.com/blog/2018/06/micropython-camera-stabilisation-application)||
|`imu.py, vector3d.py & mpu9250.py`| MPU9250/5 - 9-axis Motion Processing Unit |[about](https://www.invensense.com/products/motion-tracking/9-axis/mpu-9250/) - [buy](https://www.banggood.com/de/GY-91-MPU9250-BMP280-10DOF-Acceleration-Gyroscope-Compass-Nine-Shaft-Sensor-Module-p-1129541.html?p=QW0903761303201409LG) - [blog article](https://lemariva.com/blog/2018/06/micropython-camera-stabilisation-application)|
|`ublox_gps.py` | NEO-M8N/6M - GPS Modules |[about](https://www.u-blox.com/de/product/neo-m8-series) - [buy](https://rover.ebay.com/rover/1/707-53477-19255-0/1?toolid=20001&campid=5338002758&customid=link&mpre=http%3A%2F%2Fwww.ebay.de%2Fitm%2F272470133068%3F_trksid%3Dp2060353.m2749.l2649%26ssPageName%3DSTRK%253AMEBIDX%253AIT) - [blog article](https://lemariva.com/blog/2017/04/wipy-2-0-weather-report-neo-m8n)|
|`vl53l0x.py` |  Vl53l0X - laser-ranging module |[about](http://www.st.com/en/imaging-and-photonics-solutions/vl53l0x.html) - [buy](https://www.banggood.com/de/GY-530-VL53L0X-Laser-Ranging-Sensor-Module-IIC-Communication-Ranging-Module-p-1201341.html?p=QW0903761303201409LG) - [blog article](https://lemariva.com/blog/2018/12/happy-new-year-2019)|
|`ssd1306_i2c.py` `ssd1306.py` | SSD1306 - display drivers | [blog article](https://lemariva.com/blog/2018/10/micropython-esp32-sending-data-using-lora) |
|`ST7735.py` `sysfont.py` | ST7735 - display drivers for ESP32/ESP8266 | [blog article](https://lemariva.com/blog/2019/01/micropython-programming-an-esp-using-jupyter-notebook) |
|`ili934xnew.py` `fonts/*` | ILI934 - display drivers for ESP32/M5Stack | [blog article](https://lemariva.com/blog/2020/02/m5stack-micropython-and-bluetooth-ble) |
|`bmx280.py`  |  BME280 / BMP280 - temperature, pressure and humidity (BME) sensor| [about](https://www.bosch-sensortec.com/products/environmental-sensors/humidity-sensors-bme280/) - [blog article soon]   |
|`bmx680.py`  | BME680  - gas, temperature, pressure and humidity sensor|  [about](https://www.bosch-sensortec.com/products/environmental-sensors/gas-sensors-bme680/) - [blog article](https://lemariva.com/blog/default/default/micropython-google-cloud-platform-getting-data-m5stack-atom-sensing-air-quality)   |
|`pmsa003.py`  | PMSA003(a) particle/dust sensor| [about](https://lemariva.com/storage/app/media/uploaded-files/PMSA003.pdf) - [blog article](https://lemariva.com/blog/2020/04/micropython-google-cloud-platform-getting-data-m5stack-atom-sensing-air-quality)   |
|`stepper.py`  |  6-wire steppers using LN298|  [blog article soon]  |
# Licenses
* check files
